%global apiversion 0.1
%define fname mwaw
%define major 1
%define libname %mklibname %fname %major
%define develname %mklibname -d %fname

Name: libmwaw
Version: 0.1.11
Release: %mkrel 2
Summary: Import library for some old mac text documents

Group: System/Libraries
# The entire source code is LGPLv2+/MPLv2.0 except
# src/lib/MWAWOLEStream.[ch]xx which are BSD. There is also
# src/tools/zip/zip.cpp which is GPLv2+, but we do not build the binary
# it is used for.
License: (LGPLv2+ or MPLv2.0) and BSD
URL: http://sourceforge.net/projects/libmwaw/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires: doxygen
BuildRequires: libwpd-devel

%description
libmwaw contains some import filters for old mac text documents
(MacWrite, ClarisWorks, ... ) based on top of the libwpd (which is
already used in three word processors). 

%package -n %libname
Summary: System/Libraries
Group: System/Libraries

%description -n %libname
The %libname package contains libraries and header files for
developing applications that use %{name}.

%package -n %develname
Summary: Development files for %{name}
Group: Development/C
Requires: %libname = %version
Provides: %{fname}-devel lib%{fname}-devel

%description -n %develname
The %develname package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform the supported formats into other formats
Group: Documentation
License: LGPLv2+

%description tools
Tools to transform the supported document formats into other formats.
Supported output formats are XHTML, text and raw.

%prep
%setup -q


%build
%configure2_5x --disable-static --disable-werror --disable-zip --enable-docs \
    --with-sharedptr=c++11 CXXFLAGS="$CXXFLAGS -std=c++11"
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make V=1

%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la
# it seems this tool is only useful on MacOS
rm -f %{buildroot}/%{_bindir}/mwawFile

%files -n %libname
%doc CHANGES COPYING.* README
%{_libdir}/%{name}-%{apiversion}.so.%{major}*

%files -n %develname
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%doc COPYING.*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html

%files tools
%{_bindir}/mwaw2html
%{_bindir}/mwaw2raw
%{_bindir}/mwaw2text


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.1.11-2.mga4
+ Revision: 534941
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 tv <tv> 0.1.11-1.mga4
+ Revision: 480215
- new release

* Sat Aug 03 2013 fwang <fwang> 0.1.10-1.mga4
+ Revision: 462852
- use configure2_5x
- new version 0.1.10

* Sat May 25 2013 tv <tv> 0.1.9-5.mga4
+ Revision: 426977
- fix provides

* Sat May 25 2013 tv <tv> 0.1.9-4.mga4
+ Revision: 426968
- add more devel provides
- add devel provides

* Sat May 25 2013 tv <tv> 0.1.9-2.mga4
+ Revision: 426954
- fix requires

* Sat May 25 2013 tv <tv> 0.1.9-1.mga4
+ Revision: 426949
- imported package libmwaw

